gdata.tlslite.Session | index /home/afshar/wrk/gdata-python-client/src/gdata/tlslite/Session.py

`Class representing a TLS session.`

Modules

``

Crypto array base64 | binascii hmac math | md5 os sha | sys traceback

Classes

``

Session

class Session

``

`This class represents a TLS session.
TLS distinguishes between connections and sessions. A new
handshake creates both a connection and a session. Data is
transmitted over the connection.
The session contains a more permanent record of the handshake. The
session can be inspected to determine handshake results. The
session can also be used to create a new connection through
"session resumption". If the client and server both support this,
they can create a new connection based on an old session without
the overhead of a full handshake.
The session for a L{tlslite.TLSConnection.TLSConnection} can be
retrieved from the connection's 'session' attribute.
@type srpUsername: str
@ivar srpUsername: The client's SRP username (or None).
@type sharedKeyUsername: str
@ivar sharedKeyUsername: The client's shared-key username (or
None).
@type clientCertChain: L{tlslite.X509CertChain.X509CertChain} or
L{cryptoIDlib.CertChain.CertChain}
@ivar clientCertChain: The client's certificate chain (or None).
@type serverCertChain: L{tlslite.X509CertChain.X509CertChain} or
L{cryptoIDlib.CertChain.CertChain}
@ivar serverCertChain: The server's certificate chain (or None).
`

Methods defined here:

__init__(self)

getCipherName(self)
  `Get the name of the cipher used with this connection.
  @rtype: str
  @return: The name of the cipher used with this connection.
  Either 'aes128', 'aes256', 'rc4', or '3des'.`

valid(self)
  `If this session can be used for session resumption.
  @rtype: bool
  @return: If this session can be used for session resumption.`

Functions

``

sha1 = openssl_sha1(...)
  `Returns a sha1 hash object; optionally initialized with a string`

Data

``

cryptlibpyLoaded = False
gmpyLoaded = False
goodGroupParameters = [(2, 167609434410335061...389658897350067939L), (2, 148699818592312829...022696100064262587L), (2, 217661744586174357...299250924469288819L), (2, 580960599536995806...769998514148343807L), (5, 104438888141315250...045385534758453247L), (5, 337515218214385611...109988915707117567L), (5, 109074813561941592...353154294858383359L)]
m2cryptoLoaded = False
prngName = 'os.urandom'
pycryptoLoaded = True
sieve = [2, 3, 5, 7, 11, 13, 17, 19, 23, 29, 31, 37, 41, 43, 47, 53, 59, 61, 67, 71, ...]